@import url('https://fonts.googleapis.com/css2?family=Roboto+Mono:ital,wght@0,100..700;1,100..700&display=swap');

body {
    font-family: 'Roboto Mono', monospace;
    color: #ffffff;
    background-color: rgb(70, 70, 70);
    margin: 0;
}

a {
    color: #ffffff;
}

nav {
position: fixed;
   top: 0px;
    display: flex;
    align-items: center;
    height: 85px;
    width: 100vw;
    padding: 0 30px;
    background-color: #292929
}

nav a {
    color: #ffffff;
    text-decoration: none;
    font-weight: 700;
    font-size: 24px;
    padding-left: 20px;
}

a:hover {
    color: #b9e5ff;
}

nav img {
    height: 60px;
    width: auto;
    flex-shrink: 0;
}

main,
footer {
    margin-top: 30px;
    padding: 50px;
}

footer a {
    font-size: 11px;
    text-decoration: none;
    font-weight: 700;
}

h1 {
    font-size: 50px;
    text-align: center;
}

h2.section_label {
    font-size: 32px;
    text-align: center;
    margin-bottom: 20px;
}

.rank_label {
    font-size: 24px;
    margin: 0px;
}

/* --------------------------- */

.rank_container {

    display: grid;
    grid-template-columns: 230px 230px 230px 230px 230px;
    grid-row: 1fr;
    grid-template-areas:
        "box1 box2 box3 box4 box6"
        "box1 box2 box3 box4 box5";
    gap: 50px;
    overflow-x: auto;
    place-content: center;
    scrollbar-width: thick; 
    padding-bottom: 15px;
    scrollbar-color: rgb(255, 255, 255) transparent; 
}

.rank_col {
    background-color: rgba(0, 0, 0, 0.45);
    border: 1px solid rgba(255, 255, 255, 0.15);
    border-radius: 10px;
    padding: 20px;
    text-align: center;
    min-width: 230px;
    max-width: 230px ;
}

.rank_member_list {
    list-style-type: none;
    padding: 0;
    margin: 0;
}

.member_card {
    background-color: rgba(255, 255, 255, 0.1);
    border: 1px solid rgba(255, 255, 255, 0.2);
    border-radius: 5px;
    padding: 10px;
    margin: 10px 0;
    text-align: left;
}
.member_card:hover {
    background-color: rgba(255, 255, 255, 0.2);
    cursor: pointer;
}

#col_pvt { grid-area: box1; }
#col_cpl { grid-area: box2; }
#col_sgt { grid-area: box3; }
#col_lt  { grid-area: box4; }
#col_cpt { grid-area: box5; }
#col_cmd { grid-area: box6; }

.rank_label {
    padding: 6px 6px;
    border-radius: 8px;
    margin-bottom: 14px;
    border: 2px solid #444;
    background: #2a2a2a;
}

#col_pvt .rank_label,
#col_cpl .rank_label {
    background: #2a2a2a;
    border-color: #666;
    color: #ccc;
}

#col_sgt .rank_label {
    background: #1f4d1f;
    border-color: #009933;
    color: #99ff99;
}

#col_lt .rank_label {
    background: #1f2f4d;
    border-color: #0044cc;
    color: #99bbff;
}

#col_cpt .rank_label {
    background: #4d1f1f;
    border-color: #cc0000;
    color: #ff9999;
}

#col_cmd .rank_label {
    background: #4d4d1f;
    border-color: #cccc00;
    color: #ffff99;
}

.modal {
    position: fixed;
    top: 0; left: 0;
    width: 100%; height: 100%;
    background: rgba(0,0,0,0.6);
}

.modal_content {
    background: #111;
    color: #fff;
    padding: 20px;
    width: 400px;
    margin: 10% auto;
    border-radius: 8px;
}

.close {
    float: right;
    cursor: pointer;
    font-size: 20px;
}

#rank_inf {
	text-align: center;
}